@charset "UTF-8";

/****表格****/
.c-table {
    display: block;
    width: 100%;
    font-size: 17px;
    line-height: 1.2;
    font-family: 'NotoSansTC-M';
    text-align: center;
    border-radius: 5px;
    overflow: hidden;
}

/****表頭****/
.c-table__head {
    display: flex;
    align-items: stretch;
    align-content: stretch;
    justify-items: center;
    justify-content: center;
    width: 100%;
    background: #44464e;
}

.c-table__head__item {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    align-content: center;
    justify-items: center;
    justify-content: center;
    width: calc(100% / 5);
    color: #fff;
    padding: 20px 5px;
    border-right: 2px solid rgba(255, 255, 255, .1);
}

.c-table__head__item:last-of-type {
    border: none;
}

/****表身****/
.c-table__body {
    display: flex;
    align-items: stretch;
    align-content: stretch;
    justify-items: center;
    justify-content: center;
    width: 100%;
    background: #f1f2f7;
    border-bottom: 2px solid rgba(68, 70, 78, .1);
}

.c-table__body:last-of-type {
    margin: 0;
    border: none;
}

.c-table__body__item {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    align-content: center;
    justify-items: center;
    justify-content: center;
    width: calc(100% / 7);
    color: #44464e;
    padding: 15px 5px;
    border-right: 2px solid rgba(68, 70, 78, .1);
}

.c-table__body__item:last-of-type {
    border: none;
}

.c-table__body__item__title {
    display: none;
    align-items: center;
    align-content: center;
    justify-items: center;
    justify-content: center;
    width: 110px;
    color: #fff;
    background: #44464e;
    padding: 15px 5px;
    flex: 0 0 auto;
}

/****方案選擇樣式****/
.c-table-choose {
    border-radius: 0;
}

/****方案選擇樣式表頭****/
.c-table-choose .c-table__head {
    font-size: 15px;
    background: #15171b;
    border-radius: 5px;
}

.c-table-choose .c-table__head__item {
    padding: 16px 5px;
    border: none;
}

/****方案選擇樣式表身****/
.c-table-choose .c-table__body {
    background: none;
}

.c-table-choose .c-table__body__item {
    border: none;
    padding: 30px 5px;
}

.c-table-choose .c-table__body__item__title {
    background: #15171b;
}

.c-table-choose .c-radio {
    margin: 0 auto;
}

.c-form__item-box .c-table-choose .c-radio,
.c-form__item-box .c-table-choose .c-radio:last-of-type {
    margin: 0;
}

.c-table-choose .c-radio input[type="radio"] {
    width: 25px;
    height: 25px;
    margin: 0 10px 0 0;
}

.c-table-choose .c-table__body__item br {
    display: none;
}

/**方案選擇單獨radio樣式**/
.c-table__head-radio .c-table__head__item {
    width: calc((100% - 40px) / 6);
}

.c-table__head-radio .c-table__head__item:first-of-type {
    width: 40px;
}

.c-table__body-radio .c-table__body__item {
    width: calc((100% - 40px) / 6);
}

.c-table__body-radio .c-table__body__item:first-of-type {
    width: 40px;
}

.c-table__body-radio .c-table__body__item:first-of-type .c-radio {
    justify-items: flex-start;
    justify-content: flex-start;
}

.c-table__body-radio .c-table__body__item:first-of-type .c-radio input[type="radio"] {
    width: 40px;
    height: 40px;
    margin: 0;
}

@media screen and (max-width: 991px) {

    /****方案選擇樣式表身****/
    .c-table-choose .c-table__body__item br {
        display: block;
    }
}

@media screen and (max-width: 767px) {
    .c-table {
        border-radius: 0;
    }

    /****表頭****/
    .c-table__head {
        display: none;
    }

    /****表身****/
    .c-table__body {
        display: block;
        border-radius: 5px;
        margin: 0 auto 40px auto;
        border: none;
        overflow: hidden;
    }

    .c-table__body__item {
        flex-wrap: nowrap;
        align-items: stretch;
        align-content: stretch;
        justify-items: center;
        justify-content: center;
        width: 100%;
        padding: 0;
        border: none;
        border-bottom: 1px solid #d3d4dc;
    }

    .c-table__body__item__title {
        display: flex;
    }

    .c-table__body__item__text {
        display: block;
        width: 100%;
        padding: 15px 5px;
        flex: 0 1 auto;
    }

    /****方案選擇樣式表身****/
    .c-table-choose .c-table__body {
        background: #f9faff;
    }

    .c-table-choose .c-table__body__item {
        padding: 0;
        border-bottom: 1px solid #d6d7de;
    }

    .c-table-choose .c-table__body__item:last-of-type {
        border: none;
    }

    .c-table-choose .c-table__body__item br {
        display: none;
    }

    /**方案選擇單獨radio樣式**/
    .c-table__body-radio {
        width: calc(100% - 35px);
        margin: 0 0 40px auto;
        overflow: visible;
    }

    .c-table__body-radio::after {
        content: '';
        position: absolute;
        bottom: -19px;
        right: 0;
        display: block;
        width: calc(100% + 35px);
        height: 2px;
        background: rgba(91, 93, 101, .1);
    }

    .c-table__body-radio:last-of-type::after {
        display: none;
    }

    .c-table__body-radio .c-table__body__item {
        width: 100%;
    }

    .c-table__body-radio .c-table__body__item:first-of-type {
        position: absolute;
        left: -35px;
        width: 25px;
        justify-items: flex-start;
        justify-content: flex-start;
        background: none;
        border: none;
        z-index: 10;
    }

    .c-table__body-radio .c-table__body__item:first-of-type .c-radio input[type="radio"] {
        width: 25px;
        height: 25px;
    }

    .c-table__body-radio .c-table__body__item:nth-of-type(2) {
        border-radius: 5px 5px 0 0;
        overflow: hidden;
    }

    .c-table__body-radio .c-table__body__item:last-of-type {
        border-radius: 0 0 5px 5px;
        overflow: hidden;
    }

    .c-table__body-radio .c-table__body__item__title {
        width: 85px;
    }

    .c-table-choose .c-table__body__item .c-radio {
        justify-items: center;
        justify-content: center;
        width: 100%;
    }
}

@media screen and (max-width: 575px) {

    /****表格****/
    .c-table {
        font-size: 15px;
    }

    /****方案選擇樣式****/
    .c-table-choose {
        font-size: 14px;
    }

    .c-table-choose .c-table__body__item .c-radio {
        justify-items: center;
        justify-content: center;
    }

    .c-table-choose .c-table__body__item .c-radio__text {
        width: auto;
        font-size: 14px;
    }
}



/****IOS樣式****/
@supports (-webkit-touch-callout: none) {}